// creator  : weidu.exe (version 23600)
// argument : PHANDA.DLG
// game     : .
// source   : ./override/PHANDA.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~PHANDA~

IF ~  NumberOfTimesTalkedTo(0)
InParty([0.0.0.0.0.0.MASK_EVIL])
See([PC.0.0.0.0.0.MASK_EVIL])
~ THEN BEGIN 0 // from:
  SAY #15209 /* ~I sense evil in your party, friend. I cannot allow you or your evil companions to threaten the good people of Baldur's Gate.~ */
  IF ~~ THEN DO ~Enemy()
Attack([0.0.0.0.0.0.MASK_EVIL])
~ JOURNAL #27359 /* ~Phandalyn
My party has been attacked by Phandalyn, an over-vigilant paladin loitering in one of Baldur's Gate's many seedy taverns. Mental note: when one depends on a party of evil, steer clear of muscle-bound paladins.~ */ EXIT
  IF ~Global("X#VicPhand","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicPhand","GLOBAL",1)~ EXTERN ~VICONJ~ 124
END

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #15210 /* ~Your party is free of the taint of evil. Please pass unmolested.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#AjantisPhandalyn","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisPhandalyn","GLOBAL",1)~ EXTERN ~AJANTJ~ 55
END

IF ~  False()
~ THEN BEGIN 2 // from:
  SAY #15212 /* ~Death to all who seek to harbor the emissaries of darkness!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #15214 /* ~I trust your stay in the city has been uneventful.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #46087 /* ~And also with you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #47448 /* ~Helm shall protect me from the likes of you!~ */
  IF ~~ THEN DO ~Enemy()
Attack([0.0.0.0.0.0.MASK_EVIL])
~ JOURNAL #27359 /* ~Phandalyn
My party has been attacked by Phandalyn, an over-vigilant paladin loitering in one of Baldur's Gate's many seedy taverns. Mental note: when one depends on a party of evil, steer clear of muscle-bound paladins.~ */ EXIT
END
